package tech.mercantec.easyeat.helpers

import android.content.Context
import kotlinx.serialization.Serializable
import tech.mercantec.easyeat.models.ShoppingListItem

fun getShoppingList(ctx: Context): Array<ShoppingListItem> {
    return requestJson<Unit, Array<ShoppingListItem>>(ctx, "GET", "/api/ShoppingList/get", null)
}

fun addShoppingItem(ctx: Context, item: ShoppingListItem): ShoppingListItem {
    return requestJson<ShoppingListItem, ShoppingListItem>(ctx, "POST", "/api/ShoppingList/add", item)
}

fun editShoppingItem(ctx: Context, old: ShoppingListItem, new: ShoppingListItem) {
    requestJson<ShoppingListItem, Boolean>(ctx, "PUT", "/api/ShoppingList/update?itemId=${old.id}", new)
}

fun toggleShoppingItemChecked(ctx: Context, item: ShoppingListItem) {
    requestJson<Unit, Boolean>(ctx, "PUT", "/api/ShoppingList/check?itemId=${item.id}", null)
}

fun deleteShoppingItem(ctx: Context, item: ShoppingListItem) {
    requestJson<Unit, Boolean>(ctx, "DELETE", "/api/ShoppingList/delete?itemId=${item.id}", null)
}
