package tech.mercantec.easyeat.ui.dishes

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.TextView
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.models.Ingredient

class IngredientAdapter(context: Context, ingredients: List<Ingredient>)
    : ArrayAdapter<Ingredient>(context, 0, ingredients) {

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        val ingredient = getItem(position)
        val view = convertView ?: LayoutInflater.from(context)
            .inflate(R.layout.activity_dish_details_ingredient_list_item, parent, false)

        val nameView = view.findViewById<TextView>(R.id.ingredientName)
        val amountView = view.findViewById<TextView>(R.id.ingredientAmount)
        val unitView = view.findViewById<TextView>(R.id.ingredientUnit)

        nameView.text = ingredient?.name ?: ""
        amountView.text = ingredient?.amount?.toString() ?: "-"
        unitView.text = ingredient?.unit ?: "-"

        return view
    }
}
