package tech.mercantec.easyeat.ui.dishes

import android.os.Bundle
import android.text.Html
import android.text.Html.FROM_HTML_MODE_LEGACY
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import kotlinx.serialization.json.Json
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.models.Recipe

class RecipeFragment : Fragment() {
    private var recipe: Recipe? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        arguments?.let { args ->
            recipe = args.getString("RECIPE")?.let { Json.decodeFromString<Recipe>(it) }
        }
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?,
    ): View? {
        val binding = inflater.inflate(R.layout.fragment_recipe, container, false)

        recipe?.let { recipe ->
            binding.findViewById<TextView>(R.id.title).text = recipe.name

            binding.findViewById<TextView>(R.id.ingredients).text =
                Html.fromHtml(
                    "<ul>" +
                        recipe.ingredients.map { "<li>${it.amount} ${it.unit} ${it.name}</li>" } +
                    "</ul>",
                    FROM_HTML_MODE_LEGACY
                )

            binding.findViewById<TextView>(R.id.directions).text =
                Html.fromHtml(
                    "<ul>" +
                        recipe.directions.map { "<li>${it}</li>" } +
                    "</ul>",
                    FROM_HTML_MODE_LEGACY
                )
        }

        return binding
    }
}